Skip to main content
`Ctrl`+`K`

# DMPlexGetReferenceTree

get the reference tree for hierarchically non-conforming meshes.

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetReferenceTree(DM dm, DM *ref)

Not Collective

## Input Parameter

- dm - The `DMPLEX` object

## Output Parameter

- ref - The reference tree `DMPLEX` object

## Developer Notes

The reference tree is shallow copied during `DMClone()`, thus it is may be shared by different `DM`s. It is not a topological-only object, since some parts of the library use its local section to compute interpolation and injection matrices. This may lead to unexpected failures during those calls.

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexSetReferenceTree()`, `DMPlexCreateDefaultReferenceTree()`

## Level

intermediate

## Location

src/dm/impls/plex/plextree.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages